{{- if and .Values.web.enabled .Values.web.autoscaling.enabled }}
apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: {{ include "app.fullname" . }}
spec:
  maxReplicas: {{ .Values.web.autoscaling.maxReplicas }}
  minReplicas: {{ .Values.web.autoscaling.minReplicas }}
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ include "app.fullname" . }}
  targetCPUUtilizationPercentage: {{ .Values.web.autoscaling.targetCPUUtilizationPercentage }}
{{- end }}
